<div class="modal-title" mat-dialog-title>
  <img src="assets/image/logo.png" alt="">
  <span class="name-tool">Investment</span>
  <button mat-icon-button mat-dialog-close class="icon">
    <mat-icon>close</mat-icon>
  </button>
</div>

<mat-dialog-content class="login"><br>
  <span>INICIAR SESION</span><br>
  <mat-divider color="primary"></mat-divider>
  <img class="img" src="/assets/image/undraw_login.png" alt="">

  <form class="form" [formGroup]="loginForm" (submit)="login()">
    <mat-form-field class="width-input">
      <mat-label>Email</mat-label>
      <input matInput formControlName="email" placeholder="Ingrese su email" required>
      <div *ngFor="let errorMessage of errorsMessages.email">
        <ng-container *ngIf="email.hasError(errorMessage.type) && (email.dirty || email.touched)">
          <mat-error>{{errorMessage.message}}</mat-error>
        </ng-container>
      </div>
    </mat-form-field>

    <mat-form-field class="width-input">
      <mat-label>Contraseña</mat-label>
      <input type="password" matInput formControlName="password" placeholder="Ingrese su ontraseña" required>
      <div *ngFor="let errorMessage of errorsMessages.password">
        <ng-container *ngIf="password.hasError(errorMessage.type) && (password.dirty || password.touched)">
          <mat-error>{{errorMessage.message}}</mat-error>
        </ng-container>
      </div>
    </mat-form-field>
    <span *ngIf='errorMessage' class="error-mesagge">Email/Contraseña incorrectos</span>
    <button type="submit" [disabled]="!loginForm.valid" mat-raised-button color="warn">Iniciar Sesion</button>
    <mat-progress-bar class="progress" *ngIf="hiddenProgress" mode="indeterminate"></mat-progress-bar>
  </form>
  <span>¿Aún no tienes cuenta?<a routerLink="sign-up" mat-dialog-close>Regístrate</a></span>
</mat-dialog-content>
